classification
Title: PATCH as valid request method in wsgiref.validator
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.6, Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: barry, berker.peksag, eric.araujo, lsbardel, pje, python-dev, rbcollins, rhettinger
Priority: normal Keywords: patch

Created on 2013-03-23 10:23 by lsbardel, last changed 2015-07-26 22:48 by rbcollins. This issue is now closed.

Files
File name Uploaded Description Edit
validate.patch lsbardel, 2013-03-23 10:23 review
Messages (6)
msg185031 - (view) Author: Luca Sbardella (lsbardel) Date: 2013-03-23 10:23
http://tools.ietf.org/html/rfc5789
msg185155 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2013-03-24 20:26
I think this can be applied to old versions of Python as well.  It was an unintentional omission from the last of valid HTTP verbs.  There is nothing new here.
msg185177 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-03-25 02:42
PATCH is not formally accepted yet.  OTOH many server and client libs support it and it does serve a real use case.
msg235915 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2015-02-13 19:26
LGTM.
msg247448 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-07-26 22:47
New changeset 5919531c0b03 by Robert Collins in branch '2.7':
Issue #17527: Add PATCH to wsgiref.validator. Patch from Luca Sbardella.
https://hg.python.org/cpython/rev/5919531c0b03

New changeset 1a5b3dbafcca by Robert Collins in branch '3.4':
Issue #17527: Add PATCH to wsgiref.validator. Patch from Luca Sbardella.
https://hg.python.org/cpython/rev/1a5b3dbafcca

New changeset cb0c56f87a47 by Robert Collins in branch '3.5':
Issue #17527: Add PATCH to wsgiref.validator. Patch from Luca Sbardella.
https://hg.python.org/cpython/rev/cb0c56f87a47

New changeset d8d148624004 by Robert Collins in branch 'default':
Issue #17527: Add PATCH to wsgiref.validator. Patch from Luca Sbardella.
https://hg.python.org/cpython/rev/d8d148624004
msg247449 - (view) Author: Robert Collins (rbcollins) * (Python committer) Date: 2015-07-26 22:48
Applied to 2.7/3.4/3.5(for .1)/3.6
History
Date User Action Args
2015-07-26 22:48:32rbcollinssetstatus: open -> closed

versions: + Python 3.6
nosy: + rbcollins

messages: + msg247449
resolution: fixed
stage: commit review -> resolved
2015-07-26 22:47:36python-devsetnosy: + python-dev
messages: + msg247448
2015-02-13 19:26:11berker.peksagsetversions: + Python 2.7, Python 3.5
nosy: + berker.peksag

messages: + msg235915

stage: commit review
2013-03-25 02:42:41eric.araujosetnosy: + eric.araujo
messages: + msg185177
2013-03-24 20:26:21rhettingersetnosy: + rhettinger
messages: + msg185155
2013-03-24 18:44:26r.david.murraysettype: behavior -> enhancement
2013-03-23 17:30:37barrysetnosy: + barry
2013-03-23 10:33:38amaury.forgeotdarcsetnosy: + pje
2013-03-23 10:23:37lsbardelcreate